Bug 745320 - Review Request: drupal7-libraries - The common denominator for all Drupal components and external libraries
Summary: Review Request: drupal7-libraries - The common denominator for all Drupal com...
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Peter Borsa
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-10-12 01:37 UTC by Scott Dodson
Modified: 2012-01-16 02:27 UTC (History)
3 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2012-01-15 23:22:40 UTC
peter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Scott Dodson 2011-10-12 01:37:39 UTC
SPEC : http://sdodson.fedorapeople.org/drupal7-libraries.spec
SRPM : http://sdodson.fedorapeople.org/drupal7-libraries-1.0-1.fc15.src.rpm

Description :
Drupal 7 only has built-in support for non-external libraries via
hook_library(). But it is only suitable for drupal.org projects that bundle
their own library; i.e., the module author is the creator and vendor of the
library. Libraries API should be used for externally developed and
distributed libraries. A simple example would be a third-party jQuery
plugin.

Comment 1 Peter Borsa 2011-12-23 20:02:37 UTC
[ O K ] MUST: rpmlint must be run on every package. The output should be posted
in the review.

$ rpmlint drupal7-libraries.spec ../SRPMS/drupal7-libraries-1.0-1.fc16.src.rpm ../RPMS/noarch/drupal7-libraries-1.0-1.fc16.noarch.rpm 
drupal7-libraries.src: W: spelling-error %description -l en_US Drupal -> Drupe
drupal7-libraries.src: W: spelling-error %description -l en_US drupal -> drupe
drupal7-libraries.src: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
drupal7-libraries.noarch: W: spelling-error %description -l en_US Drupal -> Drupe
drupal7-libraries.noarch: W: spelling-error %description -l en_US drupal -> drupe
drupal7-libraries.noarch: W: spelling-error %description -l en_US jQuery -> j Query, query, equerry
2 packages and 1 specfiles checked; 0 errors, 6 warnings.

[ O K ] MUST: The package must be named according to the Package Naming
Guidelines.

[ O K ] MUST: The spec file name must match the base package %{name}, in the
format %{name}.spec unless your package has an exemption.

[ O K ] MUST: The package must meet the Packaging Guidelines.

[ O K ] MUST: The package must be licensed with a Fedora approved license and
meet the Licensing Guidelines.

[ O K ] MUST: The License field in the package spec file must match the actual
license. 

[ O K ] MUST: If (and only if) the source package includes the text of the
license(s) in its own file, then that file, containing the text of the
license(s) for the package must be included in %doc.

[ O K ] MUST: The spec file must be written in American English. 

[ O K ] MUST: The spec file for the package MUST be legible. 

[ O K ] MUST: The sources used to build the package must match the upstream
source, as provided in the spec URL. Reviewers should use md5sum for this task.
If no upstream URL can be specified for this package, please see the Source URL
Guidelines for how to deal with this.

$ md5sum ../SOURCES/libraries-7.x-1.0.tar.gz ; curl -s -o - http://ftp.drupal.org/files/projects/libraries-7.x-1.0.tar.gz | md5sum -
e395a4229adb94f48de0764654e83967  ../SOURCES/libraries-7.x-1.0.tar.gz
e395a4229adb94f48de0764654e83967  -

st not list a file more than once in the spec
file's %files listings. (Notable exception: license texts in specific
situations)

[ O K ] MUST: Permissions on files must be set properly. Executables should be
set with executable permissions, for example. Every %files section must include
a %defattr(...) line. 

[ O K ] MUST: Each package must consistently use macros. 

[ O K ] MUST: The package must contain code, or permissable content. 

[ N/A ] MUST: Large documentation files must go in a -doc subpackage. (The
definition of large is left up to the packager's best judgement, but is not
restricted to size. Large can refer to either size or quantity). 

[ O K ] MUST: If a package includes something as %doc, it must not affect the
runtime of the application. To summarize: If it is in %doc, the program must
run properly if it is not present. 

[ N/A ] MUST: Header files must be in a -devel package. 

[ N/A ] MUST: Static libraries must be in a -static package. 

[ O K ] MUST: If a package contains library files with a suffix (e.g.
libfoo.so.1.1), then library files that end in .so (without suffix) must go in
a -devel package. 

[ N/A ] MUST: In the vast majority of cases, devel packages must require the
base package using a fully versioned dependency: Requires: %{name} =
%{version}-%{release} 

[ O K ] MUST: Packages must NOT contain any .la libtool archives, these must be
removed in the spec if they are built.

[ O K ] MUST: Packages containing GUI applications must include a
%{name}.desktop file, and that file must be properly installed with
desktop-file-install in the %install section. If you feel that your packaged
GUI application does not need a .desktop file, you must put a comment in the
spec file with your explanation. 

[ O K ] MUST: Packages must not own files or directories already owned by other
packages. The rule of thumb here is that the first package to be installed
should own the files or directories that other packages may rely upon. This
means, for example, that no package in Fedora should ever share ownership with
any of the files or directories owned by the filesystem or man package. If you
feel that you have a good reason to own a file or directory that another
package owns, then please present that at package review time. 

[ O K ] MUST: All filenames in rpm packages must be valid UTF-8.


** APPROVED.

Comment 2 Scott Dodson 2011-12-24 18:49:44 UTC
New Package SCM Request
=======================
Package Name: drupal7-libraries
Short Description: Drupal 7 only has built-in support for non-external libraries via hook_library(). But it is only suitable for drupal.org projects that bundle
their own library; i.e., the module author is the creator and vendor of the library. Libraries API should be used for externally developed and distributed libraries. A simple example would be a third-party jQuery plugin.
Owners: sdodson
Branches: fc15, fc16, el5, el6
InitialCC:

Comment 3 Gwyn Ciesla 2011-12-25 04:20:07 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2011-12-26 21:41:58 UTC
drupal7-libraries-1.0-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/drupal7-libraries-1.0-1.el6

Comment 5 Fedora Update System 2011-12-26 21:42:06 UTC
drupal7-libraries-1.0-1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/drupal7-libraries-1.0-1.fc15

Comment 6 Fedora Update System 2011-12-26 21:42:14 UTC
drupal7-libraries-1.0-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/drupal7-libraries-1.0-1.fc16

Comment 7 Fedora Update System 2011-12-26 21:42:23 UTC
drupal7-libraries-1.0-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/drupal7-libraries-1.0-1.el5

Comment 8 Fedora Update System 2011-12-27 20:34:34 UTC
drupal7-libraries-1.0-1.el5 has been pushed to the Fedora EPEL 5 testing repository.

Comment 9 Fedora Update System 2012-01-15 23:22:40 UTC
drupal7-libraries-1.0-1.el5 has been pushed to the Fedora EPEL 5 stable repository.

Comment 10 Fedora Update System 2012-01-15 23:27:06 UTC
drupal7-libraries-1.0-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 11 Fedora Update System 2012-01-16 02:22:13 UTC
drupal7-libraries-1.0-1.fc15 has been pushed to the Fedora 15 stable repository.

Comment 12 Fedora Update System 2012-01-16 02:27:48 UTC
drupal7-libraries-1.0-1.fc16 has been pushed to the Fedora 16 stable repository.


Note You need to log in before you can comment on or make changes to this bug.